package gui;

import java.beans.PropertyChangeListener;
import java.beans.PropertyChangeSupport;

import javax.swing.DefaultBoundedRangeModel;

@SuppressWarnings("serial")
public class PanelModel extends DefaultBoundedRangeModel {

	private PropertyChangeSupport pcs;

	public PanelModel(int value, int extent, int min, int max) {
		super(value, extent, min, max);
		pcs = new PropertyChangeSupport(this);

	}

	@Override
	public void setValue(int value) {
		pcs.firePropertyChange("value", this.getValue(), value);
		super.setValue(value);

	}

	public void addPropertyChangeListener(PropertyChangeListener pcl) {
		pcs.addPropertyChangeListener(pcl);
	}

}
