package util;

import java.math.BigDecimal;

public class Event implements Comparable<Event>{
	
	public final BigDecimal timeStamp;
	public final int worker;
	public final int typeOfEvent;

	public Event(BigDecimal timeStamp, int worker, int typeOfEvent) {
		this.timeStamp = timeStamp;
		this.worker = worker;
		this.typeOfEvent = typeOfEvent;
	}

	@Override
	public int compareTo(Event other) {
		return timeStamp.compareTo(other.timeStamp);
	}
	
	@Override
	public String toString() {
		return String.format("EVENT %2s %3s %15s", worker, typeOfEvent, timeStamp.toString());
	}

}
