package util;

import java.awt.Shape;
import java.math.BigDecimal;

public class Spawn implements Comparable<Spawn> {

	public final int spawner;
	public final BigDecimal timeStamp;
	public Shape shape;
	public final String taskName;

	public Spawn(int spawner, BigDecimal timeStamp, String taskName) {
		this.timeStamp = timeStamp;
		this.spawner = spawner;
		this.taskName = taskName;
	}

	@Override
	public int compareTo(Spawn other) {
		return timeStamp.compareTo(other.timeStamp);
	}

	@Override
	public boolean equals(Object obj) {
		if (obj instanceof Spawn) {
			Spawn other = (Spawn) obj;
			return spawner == other.spawner && timeStamp.equals(other.timeStamp);
		}
		return false;
	}
}