package util;

import java.awt.Color;
import java.awt.Rectangle;
import java.awt.Shape;
import java.math.BigDecimal;

public class Usage {

	public final double percentage;
	public final BigDecimal timestamp;
	public final Color color;
	public Shape bar;

	private final Color[] colors = { Color.red, Color.orange, Color.yellow, Color.cyan, Color.green };

	public Usage(double percentage, BigDecimal timestamp) {
		this.percentage = makePercentageValue(percentage);
		this.timestamp = timestamp;
		color = colors[(int) ((this.percentage / 101) * colors.length)];
		bar = new Rectangle();
	}

	private double makePercentageValue(double percentage) {
		return Math.min(Math.max(percentage, 0), 100);
	}
}
