package util;

import java.awt.Color;
import java.awt.Point;
import java.awt.Rectangle;
import java.awt.Shape;
import java.util.ArrayList;
import java.util.HashMap;

public class Worker {

	final public ArrayList<Steal> steals;
	final public ArrayList<Steal> leaps;
	final public ArrayList<Spawn> spawns;
	final public ArrayList<Usage> usages;
	public Shape bar;

	private HashMap<String, Color> taskColors;

	final private Color[] colors = { Color.cyan, Color.DARK_GRAY, Color.pink, Color.orange, Color.YELLOW, Color.white };

	public Worker(ArrayList<Steal> steals, ArrayList<Steal> leaps, ArrayList<Spawn> spawns, ArrayList<Usage> usages) {
		this.steals = steals;
		this.leaps = leaps;
		this.spawns = spawns;
		this.usages = usages;
		bar = new Rectangle();
		taskColors = new HashMap<String, Color>();
	}

	public Spawn getClickedSpawn(int clickedSpawnIndex, Point currentLocation) {
		if (clickedSpawnIndex > -1) {
			return spawns.get(clickedSpawnIndex);
		} else {
			for (int j = -2; j < 3 && -clickedSpawnIndex + j < spawns.size(); j++) {
				Spawn spawnToCheck = spawns.get(Math.max(-clickedSpawnIndex + j, 0)); // to avoid negative index
				if (spawnToCheck.shape.contains(currentLocation)) {
					return spawnToCheck;
				}
			}
		}
		return null;
	}

	public Color getColorForSpawn(Spawn spawn) {
		if (!taskColors.containsKey(spawn.taskName)) {
			taskColors.put(spawn.taskName, colors[Math.min(taskColors.size(), colors.length - 1)]);
		}
		return taskColors.get(spawn.taskName);
	}
}
